Bug 209589 - modprobe mga causes kernel panic
Summary: modprobe mga causes kernel panic
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.4
Hardware: i386
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Brendan Mchugh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-06 07:44 UTC by Brendan Mchugh
Modified: 2012-06-20 16:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:09:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brendan Mchugh 2006-10-06 07:44:51 UTC
Description of problem:

modprobe mga results in kernel panic.

Version-Release number of selected component (if applicable):

kernel-2.6.9-32.EL
kernel-2.6.9-42.EL
kernel-2.6.9-42.0.2.EL

How reproducible:

Always


Steps to Reproduce:
1. Boot to runlevel 3
2. modprobe mga
3. 
  
Actual results:

kernel panic, ctrl-alt-del not working, requires power cycle.

Expected results:

mga module should load.

Additional info:

The PC is a HP xw4300 Workstation with 64-bit Pentium 4.
Graphics card is a Matrox G450 Quad-head pci card.

Results are the same using RHEL 4.4 i386 and RHEL 4.3 x86_64.

Installation with graphics mode works as expected, i'm guessing anaconda 
runs in vesa mode?

After installation, on the next boot the rhgb is started but all i see is a black 
screen and then the PC is locked up. 
I am guessing the starting of X automatically loads the mga driver which in 
turn causes a kernel panic but i am unable to switch to any vt or log in via 
ssh.

Booting to runlevel 3 and running startx manually creates the same black screen 
and i am unable to switch to any vt or log in via ssh.

Booting to runlevel 3 and running modprobe mga causes kernel panic.

Works as expected on same hardware with Fedora Core 5 i386.
Works as expected using kernel.org version 2.6.18 compiled on RHEL 4.4 x86_64

Comment 1 Brendan Mchugh 2006-11-20 12:56:58 UTC
still causes panic

Comment 2 Brendan Mchugh 2006-12-22 13:07:28 UTC
(In reply to comment #1)
> still causes panic

still panicing

Comment 3 Brendan Mchugh 2007-01-18 08:29:55 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > still causes panic
> 
> still panicing

Resolved by changing card to an nvidia quadro nvs 285 and using the nvidia
binary driver.

Leaving bug as new until there is a reply from someone other than myself.

Comment 5 Jiri Pallich 2012-06-20 16:09:29 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.